#profil * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#profil {
    font-family: "Poppins", sans-serif;
	font-weight: 500;
	font-style: normal;
    background-color: #020202;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    height: 30vh;
}

#cross-profil{
    color: white;
    position: absolute;
    top: 45px;
    left: 40px;
    width: 80px;
    height: 80px;
}

#profil .container {
    width: 70%;
    height: 200px;
    background-color: #020202;
    padding: 20px;
}

#profil .background-card {
    width: 100%;
    height: 250px;
    background-color: #D3D3D3;
    margin-bottom: 20px;
    position: relative;
    background-position: center;
}

#profil .background-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
}

#profil .profile-section {
    position: relative;
    display: flex;
    align-items: center;
}

#profil .profile-image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background-color: #D3D3D3;
    border: 10px solid #020202;
    position: absolute;
    background-position: center;
    top: -100px;
    left: 40px;
}

#profil .profile-image img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 50%;
}

#profil .profile-info {
    margin-left: 280px;
}

#profil .profile-info h2 {
    color: white;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
}

#profil .online-status {
    width: 15px;
    height: 15px;
    background-color: rgb(17, 173, 17);
    border-radius: 50%;
    margin-left: 15px;
}

#profil .profile-info p {
    color: white;
    margin-top: 10px;
    font-size: 1.2rem;
}

#profil .content {
    display: flex;
    justify-content: space-between;
    margin-top: 100px;
    position: relative;
}

#profil .dashboard {
    background-color: white;
    width: 48%;
    height: 42vh;
    padding: 20px;
    text-align: center;
    position: relative;
}

#profil .history #scroll-match {
    overflow-y: auto;
    width: 100%;
    height: calc(100% - 60px);
    display: flex;
    flex-direction: column;
    align-items: center;
}

#profil .history {
    background-color: white;
    width: 48%;
    height: 42vh;
    text-align: center;
}

#profil .history-card {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    background-color: #E74040;
    height: 110px;
    width: 90%;
    padding: 15px;
    padding-inline: 40px;
    transition: 0.3s ease;
}

#profil .history-card:hover {
    transform: scale(1.02);
}

#profil .history-card p {
    color: white;
}


#profil .history-card #score-history {
    display: flex;
    align-items: center;
    font-size: 35px;
}


#profil .profile-img-history{
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #D3D3D3;
    margin-bottom: 5px;
}

#profil .profile-img-history img {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    object-fit: cover;
    object-position: 50% 50%;
    margin-top: 2.5px;
}

#profil .profile-img-history-enemy {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #D3D3D3;
    margin-left: auto;
}

#profil .container .rightButtonDiv {
    margin-left: auto;
    margin-right: 50px;
    display: flex;
    gap: 20px;
}

#profil .container .rightButtonDiv img {
    width: 40px;
    height: 40px;
    object-fit: cover;
    object-position: 50% 50%;
    margin-left: 5px;
    cursor: pointer;
}

#profil #user-1 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#profil #user-2 {
    display: flex;
    align-items: center;
    flex-direction: column;
}

#profil .versus{
    color: white;
    font-size: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

#profil .container .editPen {
    position: absolute;
    z-index: 10;
    top: 10px;
    right: 10px;
    width: 40px;
    height: 40px;
    margin: 10px;
    padding: 10px;
    opacity: 0.5;
    background-color: black;
    border-radius: 10px;
}

#profil .container .editPen:hover {
    opacity: 1;
}

#profil .container #editPenPfpBg
{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #00000067;
    opacity: 0;
}

#profil .container .editPenPfp {
    width: 30%;
    height: 30%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 0;
}

#profil .container #editPenPfpBg:hover {
    opacity: 1;
    cursor: pointer;
}

#profil .dashboard h3 {
    margin-top: 10px;
}

#profil .dashboard .button-dashboard {
    color: #020202;
    font-size: 2.2rem;
    margin: 0;
    margin-inline: 30px;
    cursor: pointer;
    background-color: white;
    transform: 0.3s ease;
}

#profil .dashboard .button-dashboard:hover {
    transform: scale(1.1);
}

#profil .dashboard .button-dashboard:focus {
    outline: none;
}

#profil .contentStats .dashboard-line {
    width: 100%;
    text-align: left;
    margin-bottom: 20px;
    position: relative;
}

#profil .contentStats .dashboard-line span {
    font-weight: bold;
    position: absolute;
    right: 0;
}

.discord-username-settings {
    position: absolute;
    background-color: rgb(223, 223, 223);
    color: black;
    padding: 10px;
}

@media (max-width: 700px){
    #profil .container {
        width: 90%;
    }

    #profil .profile-section {
        flex-direction: column;
    }

    #profil .profile-image {
        position: relative;
        top: -120px;
        left: 0;
        margin-bottom: 20px;
    }

    #profil .profile-info {
        margin-left: 0;
        text-align: center;
    }

    #profil .content {
        flex-direction: column;
    }

    #profil .dashboard {
        width: 100%;
        height: 50vh;
        margin-bottom: 20px;
    }

    #profil .history {
        width: 100%;
        height: 50vh;
        margin-bottom: 40px;
    }

    #profil .history-card {
        height: 150px;
        align-items: center;
        justify-content: center;
    }

    #profil .history-card #score-history {
        font-size: 30px;
    }

    #profil .profile-img-history {
        width: 60px;
        height: 60px;
    }

    #profil .profile-img-history img {
        width: 55px;
        height: 55px;
    }

    #profil .profile-img-history-enemy {
        width: 70px;
        height: 70px;
    }

    #profil .container .rightButtonDiv {
        margin-left: 50px;
        margin-top: 20px;
    }

    #profil .container .rightButtonDiv img {
        width: 40px;
        height: 40px;
    }

    #profil .container .editPen {
        top: 0;
        right: 0;
    }

    #profil .container .editPenPfp {
        width: 50%;
        height: 50%;
    }

    #cross-profil{
        top: 20px;
        left: 35px;
        width: 60px;
        height: 60px;
        position: relative;
    }


}